Bug 89701 - Web Inspector: IDBObjectStore.autoIncrement flag not exposed
Summary: Web Inspector: IDBObjectStore.autoIncrement flag not exposed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Vsevolod Vlasov
URL:
Keywords:
Depends on: 89495
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 15:58 PDT by Joshua Bell
Modified: 2012-06-29 02:06 PDT (History)
11 users (show)

See Also:


Attachments
Patch (10.02 KB, patch)
2012-06-27 08:10 PDT, Vsevolod Vlasov
yurys: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Bell 2012-06-21 15:58:52 PDT
The IndexedDB inspector was probably implemented before the IDBObjectStore autoIncrement flag was exposed, so it's missing from the inspector code.

(I'm not sure where these properties are supposed to show up, but the other properties like keypath, unique, and multiEntry are copied into the inspector model.)

This should wait on https://bugs.webkit.org/show_bug.cgi?id=89495 which will require a redo of the code anyway.
Comment 1 Vsevolod Vlasov 2012-06-27 08:10:24 PDT
Created attachment 149748 [details]
Patch
Comment 2 Joshua Bell 2012-06-27 08:24:39 PDT
Comment on attachment 149748 [details]
Patch

LGTM, thanks for hooking this up.
Comment 3 Yury Semikhatsky 2012-06-29 01:18:31 PDT
Comment on attachment 149748 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=149748&action=review

> Source/WebCore/inspector/front-end/ResourcesPanel.js:1725
> +        

revert this line
Comment 4 Vsevolod Vlasov 2012-06-29 02:06:20 PDT
Committed r121533: <http://trac.webkit.org/changeset/121533>